# Interface IBreakpointManagerListener

All Known Implementing Classes:
  `RunToLineHandler`

public interface IBreakpointManagerListener
A breakpoint manager listener is notified when the breakpoint manager's enablement changes. When the breakpoint manager is disabled, no breakpoints should be honored. When the breakpoint manager is enabled, breakpoints should be honored as usual.

Clients may implement this interface.

Since:
  3.0
See Also:
  - `IBreakpointManager`

## Method Summary

Modifier and Type
Method
Description
`void`
`breakpointManagerEnablementChanged(boolean enabled)`
Notifies the listener that the breakpoint manager's enablement has changed.
`default void`
`breakpointManagerTriggerPointChanged(IBreakpoint triggerBreakpoint)`
Notifies the listener that the breakpoint manager's trigger point has changed.

## Method Details

### breakpointManagerEnablementChanged

void breakpointManagerEnablementChanged(boolean enabled)
Notifies the listener that the breakpoint manager's enablement has changed.

Parameters:
  `enabled` - whether or not the breakpoint manager is enabled

### breakpointManagerTriggerPointChanged

default void breakpointManagerTriggerPointChanged(IBreakpoint triggerBreakpoint)
Notifies the listener that the breakpoint manager's trigger point has changed.

Parameters:
  `triggerBreakpoint` - new trigger breakpoint or `null`
Since:
  3.11